{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  wheel,
  rospkg, 
  #descartes, 
  pyyaml, 
  networkx, 
  noise, 
  #yasha, 
  lxml, 
  shapely, 
  psutil, 
  tabulate, 
  bokeh, 
  numpy, 
  jinja2, 
  pycollada, 
  matplotlib, 
  xmltodict, 
  progress, 
  jsonschema, 
  trimesh, 
  #triangle, 
  scikit-image
}:

buildPythonPackage rec {
  pname = "pcg-gazebo";
  version = "0.7.12";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "boschresearch";
    repo = "pcg_gazebo";
    rev = version;
    hash = "sha256-uJwqB+gMLdTsWFWCfiKVBE+ast8NuPqcA/lB5NQQ+ys=";
  };

  build-system = [
    setuptools
    wheel
  ];

  dependencies = [
    rospkg
    #descartes
    pyyaml
    networkx
    noise
    #yasha
    lxml
    shapely
    psutil
    tabulate
    bokeh
    numpy
    jinja2
    #python-fcl
    pycollada
    matplotlib
    xmltodict
    progress
    jsonschema
    trimesh
    #triangle
    scikit-image
  ];

  pythonImportsCheck = [
    "pcg_gazebo"
  ];

  meta = {
    description = "Procedural Generation for Gazebo";
    homepage = "https://github.com/boschresearch/pcg_gazebo";
    license = lib.licenses.asl20;
    maintainers = with lib.maintainers; [ ];
  };
}
