
#include "behaviortree_ros2/bt_service_node.hpp"
#include "env_manager_interfaces/srv/start_env.hpp"
#include "env_manager_interfaces/srv/unload_env.hpp"
#include "geometry_msgs/msg/pose_array.hpp"

#include "rbs_utils/rbs_utils.hpp"
#include <behaviortree_cpp/basic_types.h>
#include "behaviortree_ros2/plugins.hpp"
#include <string>

using EnvManagerService = env_manager_interfaces::srv::StartEnv;
using namespace BT;

class EnvManager : public RosServiceNode<EnvManagerService> {
public:
  EnvManager(const std::string &name, const NodeConfig &conf,
                    const RosNodeParams &params)
      : RosServiceNode<EnvManagerService>(name, conf, params) {}

  static PortsList providedPorts() {
    return providedBasicPorts({
        InputPort<std::string>("env_name"),
        InputPort<std::string>("env_class"),
    });
  }

  bool setRequest(Request::SharedPtr &request) override {
    getInput("env_name", request->name);
    getInput("env_class", request->type);
    return true;
  }
  NodeStatus onResponseReceived(const Response::SharedPtr &response) override {
    if (!response->ok) {
      return NodeStatus::FAILURE;
    }
    return NodeStatus::SUCCESS;
  }
  // virtual NodeStatus onFailure(ServiceNodeErrorCode error) override {}
};

CreateRosNodePlugin(EnvManager, "EnvManager");

