### Пример запуска записи демонстрации в RosBag2

Подготовить папку с файлами BT v.4
* Папка /path/to/bt/
* bt.xml
```xml
<?xml version="1.0" encoding="UTF-8"?>
<root BTCPP_format="4">
    <BehaviorTree ID="Main">
        <Sequence>
            <Action ID="RbsAction" do="RecordingDemo" command="rdConfigure" sid="a"></Action>
            <Action ID="RbsAction" do="MoveToPose" command="move" sid="c"></Action>
            <Action ID="RbsAction" do="RecordingDemo" command="rdStop" sid="a"></Action>
        </Sequence>
    </BehaviorTree>
    <TreeNodesModel>
        <Action ID="RbsAction">
            <input_port name="do"/>
            <input_port name="command"/>
	    <input_port name="sid"/>
        </Action>
    </TreeNodesModel>
</root>
```
* skills.json
```json
{
  "skills": [
    {
      "sid": "a",
      "SkillPackage": { "name": "Robossembler", "version": "1.0", "format": "1" },
      "Module": { "name": "RecordingDemo", "description": "Recording a demo via RosBag", "node_name": "lc_record_demo" },
      "Launch": { "package": "rbs_utils", "executable": "recording_demo_via_rosbag.py" },
      "BTAction": [
        {
          "name": "rdConfigure",
          "type_action": "action",
          "type": "run",
          "param": [],
          "result":[]
        },
        { "name": "rdStop", "type_action": "action", "type": "stop", "param": [], "result": [] }
      ],
      "Settings": [
        { "name": "output_path", "value": "rbs_testbag", "description": "!!! Путь, куда запишется rosbag. Если он уже есть - перетрётся!" }
        ]
    },
    {
      "sid": "c",
      "SkillPackage": { "name": "Robossembler", "version": "1.0", "format": "1" },
      "Module": { "name": "MoveToPose", "description": "Move to Pose skill with cartesian controllers", "node_name": "mtp_cartesian" },
      "Launch": { "package": "rbss_movetopose", "executable": "mtp_cartesian.py" },
      "BTAction": [
        {
            "name": "move",
            "type_action": "action",
            "type": "action",
            "param": [
              {
                "type": "move_to_pose",
                "dependency": { "robot_name": "arm0",
                                "pose": { "position": {"x":0.1, "y":0.1, "z":0.9}, "orientation": {"x":0.55, "y":0.0, "z":0.45, "w": 1.0} } }
              }
            ]
        }
      ],
      "Settings": [
        { "name": "server_name", "value": "cartesian_move_to_pose" },
        { "name": "end_effector_velocity", "value": 1.0 }, 
        { "name": "end_effector_acceleration", "value": 1.0 }
      ]
    }
  ]
}
```

Запустить последовательно три терминала и выполнить запуск 3-х launch-файлов:
* 1 - запуск интерфейсной ноды с серверами навыков
```bash
ros2 launch rbs_interface interface.launch.py bt_path:=/path/to/bt
```
* 2 - запуск робота в сцене
```bash
ros2 launch rbs_bringup single_robot.launch.py
```
* 3 - запуск дерева поведения
```bash
ros2 launch rbs_bt_executor rbs_bt_web.launch.py bt_path:=/path/to/bt
```
